#
# spec file for package perl-Archive-Extract
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Archive-Extract
Version:        0.80
Release:        1.24
%define cpan_name Archive-Extract
Summary:        Generic Archive Extracting Mechanism
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Archive-Extract/
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BINGOS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(IPC::Cmd) >= 0.64
BuildRequires:  perl(Locale::Maketext::Simple)
BuildRequires:  perl(Module::Load::Conditional) >= 0.66
BuildRequires:  perl(Params::Check) >= 0.07
Requires:       perl(IPC::Cmd) >= 0.64
Requires:       perl(Locale::Maketext::Simple)
Requires:       perl(Module::Load::Conditional) >= 0.66
Requires:       perl(Params::Check) >= 0.07
%{perl_requires}

%description
Archive::Extract is a generic archive extraction mechanism.

It allows you to extract any archive file of the type .tar, .tar.gz, .gz,
.Z, tar.bz2, .tbz, .bz2, .zip, .xz,, .txz, .tar.xz or .lzma without having
to worry how it does so, or use different interfaces for each type by using
either perl modules, or commandline tools on your system.

See the 'HOW IT WORKS' section further down for details.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README

%changelog
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.80
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.80    Wed Jan 18 23:14:32 GMT 2017
  * Change Linux unzip heuristic to match FreeBSD's [rt#119905]
* Sat Oct  8 2016 coolo@suse.com
- updated to 0.78
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.78    Wed Jul 27 20:40:15 2016
  * CVE-2016-1238: avoid loading optional modules from default .
* Tue Jul  7 2015 coolo@suse.com
- updated to 0.76
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.76    Sat Jul  4 18:44:42 2015
  * Resolve RT#105425, putting refs in $/ has been
    fatal since v5.20.0
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.74
  see /usr/share/doc/packages/perl-Archive-Extract/CHANGES
  0.74    Thu Nov 20 10:03:50 2014
  * NetBSD's tar does not like some archives
    on CPAN, prefer gtar if it is available.
* Wed Jun  4 2014 coolo@suse.com
- initial package 0.72
  * created by cpanspec 1.78.08
